> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Template List

> API to fetch paginated list of all templates in a given workspace.

<Warning>
  **Legacy API.** This is the older endpoint to list templates. We have released template 2.0 with variant support due to which the content structure and template APIs have changed. The new APIs are listed under [Management API → Templates](/reference/list-templates-v2).

  This endpoint continues to return templates created **before 14 April 2026**, including their live and draft content. Templates created on or after that date are only available through the new APIs.
</Warning>


## OpenAPI

````yaml GET /v1/template
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/template:
    get:
      summary: Fetch Template List
      description: API to fetch paginated list of all templates in a given workspace.
      operationId: fetch-template-list
      parameters:
        - name: has_tag_ids_any
          in: query
          description: comma separated string of tag ids attached to the template
          schema:
            type: string
        - name: has_channels_any
          in: query
          description: >-
            comma separated string of channels. Returns templates which has any
            of the channels present from the channel string. Use these keys for
            channels - `email`, `sms`, `whatsapp`, `inbox`, `slack`,
            `androidpush`, `iospush`, `webpush`
          schema:
            type: string
        - name: is_active
          in: query
          description: >-
            Set `true` for published templates, `false` for templates which are
            in draft. Do not pass this key to return all templates.
          schema:
            type: boolean
        - name: is_archived
          in: query
          description: Set `true` to get archived templates, default = `false`
          schema:
            type: boolean
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    meta:
                      count: 1
                      limit: 10
                      offset: 0
                    results:
                      - id: '166277'
                        name: Task Reminder
                        slug: task-reminder
                        description: Batched template for all pending tasks
                        is_active: true
                        default_language:
                          name: English
                          slug: en
                        created_at: '2023-01-25T04:53:39.237291Z'
                        updated_at: '2023-08-28T05:06:22.461443Z'
                        updated_by:
                          name: team_member
                          email: user@example.com
                        last_triggered_at: '2023-08-10T12:44:03.361158Z'
                        is_auto_translate_enabled: false
                        enabled_languages:
                          - en
                          - fr
                          - es
                        channels:
                          - id: <integer>
                            channel:
                              name: Email
                              slug: email
                              is_template_approval_needed: true
                            is_active: true
                            is_enabled: true
                            created_at: '2023-01-25T04:53:39.268299Z'
                            updated_at: '2023-01-25T04:53:39.404273Z'
                            disabled_languages: []
                            versions: []
                        tags:
                          - id: 01H9HPT1C5ABN61S12D85J9DJ7
                            name: tag
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      count:
                        type: integer
                        description: total template count
                        example: 1
                      limit:
                        type: integer
                        description: number of results per page
                        example: 10
                      offset:
                        type: integer
                        description: offset value passed in the request
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          description: internal template_id
                        name:
                          type: string
                          description: template name given by user
                        slug:
                          type: string
                          description: unique template slug generated from name
                        description:
                          type: string
                          nullable: true
                          description: template description given by user
                        is_active:
                          type: boolean
                          description: >-
                            is true when atleast 1 template version is live for
                            the channel
                        default_language:
                          type: object
                          properties:
                            name:
                              type: string
                              example: English
                            slug:
                              type: string
                              example: en
                        created_at:
                          type: string
                          format: date-time
                          description: template creation time
                        updated_at:
                          type: string
                          format: date-time
                          description: latest template modification time
                        updated_by:
                          type: object
                          properties:
                            name:
                              type: string
                              description: team member name who last updated the template
                            email:
                              type: string
                              format: email
                              description: team member email who last updated the template
                        last_triggered_at:
                          type: string
                          format: date-time
                          description: time when the workflow was last triggered
                        is_auto_translate_enabled:
                          type: boolean
                          example: false
                        enabled_languages:
                          type: array
                          items:
                            type: string
                          examples:
                            english:
                              summary: English language
                              value: en
                            hindi:
                              summary: Hindi language
                              value: hi
                            kannada:
                              summary: Kannada language
                              value: kn
                        channels:
                          type: array
                          description: >-
                            array of all template enabled channels along with
                            their language and active status
                          items:
                            type: object
                        tags:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                description: unique tag identifier
                                example: 01H9HPT1C5ABN61S12D85J9DJ7
                              name:
                                type: string
                                description: tag name
                                example: tag
                          example: null
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````